QGIS Application - Bug report #14411

When copying a shapefile with right-click "save as" it turns integer-type to string-type
2016-03-03 08:50 AM - Ralf Deuerling

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22392
Description

| tried to copy shapefiles with several integer- and real-type columns with the right-click-menu "save as..." and it turned out, that the
resulting new shapefile gets all interger-types formatted into string-types. As far as | tried, this only happens to former integer-types.
Real-types are correctly copied to real.

The layer attributes of the origin shapefile say, that the integers have the type "glonglong" and the typename "Integer64". Those are
formatted into type "QString" with typename "String" when copying the shapefile.

Related issues:
Related to QGIS Application - Bug report # 14546: Reads Long Integers/integer... Closed 2016-03-22

Associated revisions

Revision 7de0757f - 2016-03-16 12:52 AM - Matthias Kuhn

GDAL 2.0 allows writing 64bit longlong integers

Fix #14411

Revision e135699a - 2016-03-16 12:53 AM - Matthias Kuhn

GDAL 2.0 allows writing 64bit longlong integers

Fix #14411

History

#1 - 2016-03-06 05:05 AM - Anita Graser
- Affected QGIS version changed from 2.14.0 to master
- Priority changed from Normal to High

- Category set to Vectors

| can confirm. To reproduce, use for example lakes.shp from the QGIS sample data: the cat column will change from Int to String when using save as ...

#2 - 2016-03-15 01:28 PM - Anita Graser

Note: only happens with Integer64 but not with Integer types (as displayed in the layer properties | fields)
#3 - 2016-03-15 04:52 PM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"7de0757f56¢c1d1c344c638414849cbe09a9d83b3".
